SystemDefaultCredentialsProvider (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.client
Class SystemDefaultCredentialsProvider

    java.lang.Object
      org.apache.http.impl.client.SystemDefaultCredentialsProvider

All Implemented Interfaces:
  CredentialsProvider

    @Contract(threading=SAFE)
    public class SystemDefaultCredentialsProvider

extends Object
implements CredentialsProvider

Implementation of `CredentialsProvider` backed by standard JRE `Authenticator`.

Since:
  4.3

Constructor Summary
`SystemDefaultCredentialsProvider()` Default constructor.

Method Summary
`void` | `clear()` Clears all credentials.
`Credentials` | `getCredentials(AuthScope authscope)` Get the `credentials` for the given authentication scope.
`void` | `setCredentials(AuthScope authscope, Credentials credentials)` Sets the `credentials` for the given authentication scope.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemDefaultCredentialsProvider

    public SystemDefaultCredentialsProvider()

  Default constructor.

Method Detail

### setCredentials

    public void setCredentials(AuthScope authscope,
                               Credentials credentials)

  Description copied from interface: `CredentialsProvider`
  Sets the `credentials` for the given authentication scope. Any previous credentials for the given scope will be overwritten.

  Specified by:
    `setCredentials` in interface `CredentialsProvider`
  Parameters:
    `authscope` - the `authentication scope`
    `credentials` - the authentication `credentials` for the given scope.
  See Also:
    `CredentialsProvider.getCredentials(AuthScope)`

### getCredentials

    public Credentials getCredentials(AuthScope authscope)

  Description copied from interface: `CredentialsProvider`
  Get the `credentials` for the given authentication scope.

  Specified by:
    `getCredentials` in interface `CredentialsProvider`
  Parameters:
    `authscope` - the `authentication scope`
  Returns:
    the credentials
  See Also:
    `CredentialsProvider.setCredentials(AuthScope, Credentials)`

### clear

    public void clear()

  Description copied from interface: `CredentialsProvider`
  Clears all credentials.

  Specified by:
    `clear` in interface `CredentialsProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.